ariatosca-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ran Ziv (JIRA)" <j...@apache.org>
Subject [jira] [Created] (ARIA-320) Extend plugin specification version constraints capabilities
Date Wed, 12 Jul 2017 08:37:00 GMT
Ran Ziv created ARIA-320:
----------------------------

             Summary: Extend plugin specification version constraints capabilities
                 Key: ARIA-320
                 URL: https://issues.apache.org/jira/browse/ARIA-320
             Project: AriaTosca
          Issue Type: Story
            Reporter: Ran Ziv
            Priority: Minor


The plugin specification in the policies section currently supports specifying a single version;
The plugin matching mechanism will choose any version equal or above that specified one, preferring
the newest available.

There should at least be a way to specify a specific version without having the plugin matching
mechanism pick a newer one for you.
There should probably also be more constraint capabilities, e.g. specifying a version range,
etc.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message